petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoRegisterAll

Registers all of the minimization methods in the TAO package.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoRegisterAll(void)

Not Collective

### See Also

TaoRegister(), TaoRegisterDestroy()

### Level

developer

### Location

src/tao/interface/taosolverregi.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages